declare const _default: {
    color: string[];
    backgroundColor: string;
    textStyle: {};
    title: {
        textStyle: {
            color: string;
        };
        subtextStyle: {
            color: string;
        };
    };
    line: {
        itemStyle: {
            borderWidth: number;
        };
        lineStyle: {
            width: number;
        };
        symbolSize: number;
        symbol: string;
        smooth: boolean;
    };
    radar: {
        itemStyle: {
            borderWidth: number;
        };
        lineStyle: {
            width: number;
        };
        symbolSize: number;
        symbol: string;
        smooth: boolean;
    };
    bar: {
        itemStyle: {
            barBorderWidth: number;
            barBorderColor: string;
        };
    };
    pie: {
        itemStyle: {
            borderWidth: number;
            borderColor: string;
        };
    };
    scatter: {
        itemStyle: {
            borderWidth: number;
            borderColor: string;
        };
    };
    boxplot: {
        itemStyle: {
            borderWidth: number;
            borderColor: string;
        };
    };
    parallel: {
        itemStyle: {
            borderWidth: number;
            borderColor: string;
        };
    };
    sankey: {
        itemStyle: {
            borderWidth: number;
            borderColor: string;
        };
    };
    funnel: {
        itemStyle: {
            borderWidth: number;
            borderColor: string;
        };
    };
    gauge: {
        itemStyle: {
            borderWidth: number;
            borderColor: string;
        };
    };
    candlestick: {
        itemStyle: {
            color: string;
            color0: string;
            borderColor: string;
            borderColor0: string;
            borderWidth: number;
        };
    };
    graph: {
        itemStyle: {
            borderWidth: number;
            borderColor: string;
        };
        lineStyle: {
            width: number;
            color: string;
        };
        symbolSize: number;
        symbol: string;
        smooth: boolean;
        color: string[];
        label: {
            color: string;
        };
    };
    map: {
        itemStyle: {
            areaColor: string;
            borderColor: string;
            borderWidth: number;
        };
        label: {
            color: string;
        };
        emphasis: {
            itemStyle: {
                areaColor: string;
                borderColor: string;
                borderWidth: number;
            };
            label: {
                color: string;
            };
        };
    };
    geo: {
        itemStyle: {
            areaColor: string;
            borderColor: string;
            borderWidth: number;
        };
        label: {
            color: string;
        };
        emphasis: {
            itemStyle: {
                areaColor: string;
                borderColor: string;
                borderWidth: number;
            };
            label: {
                color: string;
            };
        };
    };
    categoryAxis: {
        axisLine: {
            show: boolean;
            lineStyle: {
                color: string;
            };
        };
        axisTick: {
            show: boolean;
            lineStyle: {
                color: string;
            };
        };
        axisLabel: {
            show: boolean;
            color: string;
        };
        splitLine: {
            show: boolean;
            lineStyle: {
                color: string[];
            };
        };
        splitArea: {
            show: boolean;
            areaStyle: {
                color: string[];
            };
        };
    };
    valueAxis: {
        axisLine: {
            show: boolean;
            lineStyle: {
                color: string;
            };
        };
        axisTick: {
            show: boolean;
            lineStyle: {
                color: string;
            };
        };
        axisLabel: {
            show: boolean;
            color: string;
        };
        splitLine: {
            show: boolean;
            lineStyle: {
                color: string[];
            };
        };
        splitArea: {
            show: boolean;
            areaStyle: {
                color: string[];
            };
        };
    };
    logAxis: {
        axisLine: {
            show: boolean;
            lineStyle: {
                color: string;
            };
        };
        axisTick: {
            show: boolean;
            lineStyle: {
                color: string;
            };
        };
        axisLabel: {
            show: boolean;
            color: string;
        };
        splitLine: {
            show: boolean;
            lineStyle: {
                color: string[];
            };
        };
        splitArea: {
            show: boolean;
            areaStyle: {
                color: string[];
            };
        };
    };
    timeAxis: {
        axisLine: {
            show: boolean;
            lineStyle: {
                color: string;
            };
        };
        axisTick: {
            show: boolean;
            lineStyle: {
                color: string;
            };
        };
        axisLabel: {
            show: boolean;
            color: string;
        };
        splitLine: {
            show: boolean;
            lineStyle: {
                color: string[];
            };
        };
        splitArea: {
            show: boolean;
            areaStyle: {
                color: string[];
            };
        };
    };
    toolbox: {
        iconStyle: {
            borderColor: string;
        };
        emphasis: {
            iconStyle: {
                borderColor: string;
            };
        };
    };
    legend: {
        textStyle: {
            color: string;
        };
    };
    tooltip: {
        axisPointer: {
            lineStyle: {
                color: string;
                width: number;
            };
            crossStyle: {
                color: string;
                width: number;
            };
        };
    };
    timeline: {
        lineStyle: {
            color: string;
            width: number;
        };
        itemStyle: {
            color: string;
            borderWidth: number;
        };
        controlStyle: {
            color: string;
            borderColor: string;
            borderWidth: number;
        };
        checkpointStyle: {
            color: string;
            borderColor: string;
        };
        label: {
            color: string;
        };
        emphasis: {
            itemStyle: {
                color: string;
            };
            controlStyle: {
                color: string;
                borderColor: string;
                borderWidth: number;
            };
            label: {
                color: string;
            };
        };
    };
    visualMap: {
        color: string[];
    };
    dataZoom: {
        handleSize: string;
        textStyle: {};
    };
    markPoint: {
        label: {
            color: string;
        };
        emphasis: {
            label: {
                color: string;
            };
        };
    };
};
export default _default;
